org.apache.cassandra.io.util

## Class BufferedPoolingSegmentedFile.Builder

- java.lang.Object
- - org.apache.cassandra.io.util.SegmentedFile.Builder
  - - org.apache.cassandra.io.util.BufferedPoolingSegmentedFile.Builder

All Implemented Interfaces:
  java.lang.AutoCloseable

Enclosing class:
  BufferedPoolingSegmentedFile

    public static class BufferedPoolingSegmentedFile.Builder
    extends SegmentedFile.Builder

### Constructor Summary

Constructors
Constructor and Description
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addPotentialBoundary(long boundary)` Adds a position that would be a safe place for a segment boundary in the file.
`SegmentedFile` `complete(ChannelProxy channel, long overrideLength)` Called after all potential boundaries have been added to apply this Builder to a concrete file on disk.

### Methods inherited from class org.apache.cassandra.io.util.SegmentedFile.Builder

`close, close, complete, complete, deserializeBounds, serializeBounds`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### addPotentialBoundary

    public void addPotentialBoundary(long boundary)

Description copied from class: `SegmentedFile.Builder`
Adds a position that would be a safe place for a segment boundary in the file. For a block/row based file format, safe boundaries are block/row edges.

Specified by:
  `addPotentialBoundary` in class `SegmentedFile.Builder`
Parameters:
  `boundary` - The absolute position of the potential boundary in the file.

#### complete

    public SegmentedFile complete(ChannelProxy channel,
                                  long overrideLength)

Description copied from class: `SegmentedFile.Builder`
Called after all potential boundaries have been added to apply this Builder to a concrete file on disk.

Specified by:
  `complete` in class `SegmentedFile.Builder`
Parameters:
  `channel` - The channel to the file on disk.